# $Revision: 1.9 $, $Date: 2012/01/11 22:20:17 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	chdir
Summary:	File::chdir - a more sensible way to change directories
Summary(pl.UTF-8):	File::chdir - rozsądniejszy sposób zmiany katalogów
Name:		perl-File-chdir
Version:	0.1006
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/File/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a09bce5507335de116984c121dbbca24
URL:		http://search.cpan.org/dist/File-chdir/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::chdir module - a more sensible way to change directories.

Perl's chdir() has the unfortunate problem of being very, very, very
global. If any part of your program calls chdir() or if any library
you use calls chdir(), it changes the current working directory for
the whole program.

File::chdir gives you an alternative, $CWD and @CWD. These two
variables combine all the power of chdir(), File::Spec and Cwd.

%description -l pl.UTF-8
Moduł File::chdir - rozsądniejszy sposób zmiany katalogów.

Perlowa funkcja chdir() jest problematyczna, ponieważ działa bardzo,
bardzo, bardzo globalnie. Jeśli dowolna część programu lub dowolna
używana biblioteka wywoła chdir(), zmienia się bieżący katalog dla
całego programu.

File::chdir daje alternatywę - $CWD i @CWD. Te dwie zmienne łączą całą
potęgę chdir(), File::Spec i Cwd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/File/chdir.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-chdir.spec,v $
Revision 1.9  2012/01/11 22:20:17  zbyniu
- up to 0.1006

Revision 1.8  2009/06/23 06:52:33  amateja
- updated to 0.1002

Revision 1.7  2007/12/24 12:38:24  qboosh
- generic URL

Revision 1.6  2007-12-23 23:24:24  zbyniu
- up to 0.09

Revision 1.5  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.3  2006/10/24 20:53:16  ankry
- C&P-able src URL

Revision 1.2  2005/08/27 07:42:16  qboosh
- pl

Revision 1.1  2005/08/19 19:06:06  arekm
- new
